import { Series } from "./Series";
import { DependencyProperty } from "igniteui-react-core";
import { DependencyObject } from "igniteui-react-core";
import { HighlightingInfo } from "igniteui-react-core";
import { ShapeItemSearchMode } from "./ShapeItemSearchMode";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { StyleShapeEventArgs } from "./StyleShapeEventArgs";
import { Axis } from "./Axis";
import { FrameworkElement } from "igniteui-react-core";
import { DataContext } from "igniteui-react-core";
import { Marker } from "./Marker";
import { Tuple$2 } from "igniteui-react-core";
import { ShapeHitRegion } from "./ShapeHitRegion";
import { AssigningShapeStyleEventArgs } from "./AssigningShapeStyleEventArgs";
import { AssigningShapeMarkerStyleEventArgs } from "./AssigningShapeMarkerStyleEventArgs";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { FlattenedShape } from "./FlattenedShape";
import { SeriesView } from "./SeriesView";
import { RenderSurface } from "./RenderSurface";
import { Dictionary$2 } from "igniteui-react-core";
import { AssigningSeriesShapeStyleEventArgsBase } from "./AssigningSeriesShapeStyleEventArgsBase";
import { SeriesRenderManager } from "./SeriesRenderManager";
import { Shape } from "igniteui-react-core";
import { AssigningSeriesStyleEventArgsBase } from "./AssigningSeriesStyleEventArgsBase";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Style } from "igniteui-react-core";
import { StyleSelector } from "./StyleSelector";
import { Path } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { PathGeometry } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class ShapeSeriesBase extends Series {
    static $t: Type;
    constructor();
    nh(): void;
    ag(): Axis[];
    jv(a: any, b: string): any;
    u4: boolean;
    u3: boolean;
    protected uw: boolean;
    protected uv: boolean;
    protected get_et(): boolean;
    private ur;
    private us;
    protected get_dv(): boolean;
    protected up(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    protected uq(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    private ui;
    get uj(): ShapeItemSearchMode;
    set uj(a: ShapeItemSearchMode);
    protected uk(): ShapeItemSearchMode;
    ul: ShapeItemSearchMode;
    vm: number;
    vl: number;
    hw(a: Point): number;
    private t7;
    private t8;
    protected v4(a: Point): Tuple$2<number, Point>;
    private v3;
    protected get_ux(): boolean;
    protected get ux(): boolean;
    private v2;
    protected vh(a: Point): number;
    tj(a: Point, b: boolean, c: boolean): Point;
    js(a: Point): any;
    protected uo(a: any, b: Point, c: HighlightingInfo): HighlightingInfo;
    c0(a: any, b: Point, c: boolean): HighlightingInfo;
    c1(a: any, b: Point, c: boolean): HighlightingInfo;
    assigningShapeStyle: (sender: any, args: AssigningShapeStyleEventArgs) => void;
    assigningShapeMarkerStyle: (sender: any, args: AssigningShapeMarkerStyleEventArgs) => void;
    protected va(): boolean;
    protected u9(): boolean;
    protected um: ShapeSeriesRenderManager;
    vy: string;
    get vp(): string;
    set vp(a: string);
    static readonly wh: DependencyProperty;
    protected fo(): boolean;
    protected g1(): List$1<SeriesLayerPropertyOverlay>;
    private v6;
    private ut;
    get uu(): IFastItemColumn$1<any>;
    set uu(a: IFastItemColumn$1<any>);
    uf: NumericXAxis;
    uh: NumericYAxis;
    private u1;
    private static u5;
    private convertToListList;
    protected c6(a: string): IFastItemColumn$1<any>;
    protected pa(a: any, b: string, c: any, d: any): void;
    protected u8(): boolean;
    protected u7(): boolean;
    uz(a: any): boolean;
    uy(a: any): boolean;
    private ue;
    private ug;
    private vg;
    vc: List$1<Rect>;
    private we;
    private ws;
    private ve;
    private t4;
    private t6;
    private t5;
    private t3;
    protected get_u2(): boolean;
    protected get u2(): boolean;
    protected vb(): boolean;
    ps(a: boolean): void;
    pq(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected wd(a: SeriesView): void;
    protected v9(a: FrameworkElement, b: boolean, c: number, d: number, e: boolean, f: boolean): void;
    protected v8(a: number, b: number, c: boolean): void;
    protected wb(a: AssigningShapeStyleEventArgs): void;
    protected wa(a: AssigningShapeMarkerStyleEventArgs): void;
    t9(a: number, b: number): any[];
    protected ua(a: number, b: number): any[];
    private static wc;
    oc(): void;
    protected qp(a: Rect, b: Rect): void;
    protected qo(a: Rect, b: Rect): void;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    gm(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_u6(): boolean;
    protected get u6(): boolean;
    o2(a: SeriesView): void;
    private un;
    private vf;
    private ud;
    private v5;
    wr: Rect;
    private wg;
    nk(a: boolean, b: SeriesView): void;
    private v7;
    private wf;
    au(a: Point, b: boolean): DataContext;
    vn(a: number): any;
    protected get_gg(): boolean;
    protected set_gg(a: boolean): void;
    vi: number;
    vj: number;
    aq(a: Axis): AxisRange;
    protected get_fb(): boolean;
    protected get_ez(): boolean;
    get u0(): boolean;
    wt(a: any, b: DependencyObject, c: Style): Style;
    styleShape: (sender: any, e: StyleShapeEventArgs) => void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ShapeSeriesRenderManager extends SeriesRenderManager {
    static $t: Type;
    protected c(): AssigningSeriesStyleEventArgsBase;
    protected a(): AssigningSeriesShapeStyleEventArgsBase;
    aw: AssigningShapeMarkerStyleEventArgs;
    ax: AssigningShapeStyleEventArgs;
    a1(a: Shape, b: number, c: boolean): void;
    ay(a: ShapeSeriesBase, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    az(a: Series, b: boolean, c: (orderedStartIndex: number, orderedEndIndex: number) => any[]): void;
    a0(a: AssigningSeriesStyleEventArgsBase, b: number, c: number, d: boolean): void;
}
/**
 * @hidden
 */
export declare abstract class ShapeSeriesViewBase extends SeriesView {
    static $t: Type;
    constructor(a: ShapeSeriesBase);
    cc: Dictionary$2<number, FlattenedShape>;
    b4(a: Point): Marker;
    get ce(): List$1<ShapeHitRegion>;
    protected b8(): Pool$1<FrameworkElement>;
    cb(a: Rect): boolean;
    static cf(a: List$1<FlattenedShape>): List$1<PointCollection>;
    get ca(): boolean;
    protected b6: ShapeSeriesBase;
    private cd;
    ci(a: number, b: any, c: Rect, d: List$1<FlattenedShape>): void;
    protected c4(a: number, b: any): FrameworkElement;
    protected abstract ck(a: FrameworkElement, b: PathGeometry): void;
    static cl(a: ShapeSeriesViewBase, b: Path, c: any): void;
    cp(a: (arg1: FrameworkElement) => void): void;
    cm(a: FrameworkElement, b: any, c: boolean): void;
    protected co(a: FrameworkElement, b: boolean): void;
    private cj;
    private cx;
    protected abstract c5(a: number, b: List$1<PointCollection>): PathGeometry;
    cu(): void;
    ct(): void;
    private ch;
    cw(a: number, b: number): void;
    cn(): void;
    protected cg: List$1<Path>;
    c1(): FrameworkElement;
    cq(a: FrameworkElement): void;
    cr(a: FrameworkElement): void;
    cs(a: FrameworkElement): void;
    protected b9: Pool$1<FrameworkElement>;
    c6(a: number, b: List$1<PointCollection>, c: boolean): PathGeometry;
    protected ac(a: number): any;
    private c7;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    private b7;
    private c8;
    get c9(): Style;
    cz(a: StyleSelector): void;
    cy(a: Style): void;
    c2(a: Point, b: boolean): FrameworkElement;
    c3(a: Point, b: boolean, c: boolean): FrameworkElement;
    b5(a: Point, b: boolean, c: boolean): ShapeHitRegion;
    private b1;
    private b3;
    private b2;
    private b0;
    cv(a: number[], b: number[], c: number[], d: number[]): void;
    c0(): void;
    an(a: any): void;
}
